# -*- coding: utf-8 -*-
from setuphelpers import *


app_dir = makepath(programfiles, "EmoCheck")


def install():
    # Initializing variables
    bin_name = glob.glob("emocheck_v*.exe")[0]
    app_path = makepath(app_dir, bin_name)

    # Installing the package
    print("Copying: %s to %s" % (bin_name, app_path))
    killalltasks(bin_name)
    if isdir(app_dir):
        remove_tree(app_dir)
    mkdirs(app_dir)
    filecopyto(makepath(basedir, bin_name), app_path)


def uninstall():
    bin_name = glob.glob(makepath(app_dir, "emocheck_v*%s*.exe" % control.architecture))[0]
    killalltasks(bin_name)
    if isdir(app_dir):
        remove_tree(app_dir)


def audit():
    # Initializing variables
    bin_name = glob.glob(makepath(app_dir, "emocheck_v*%s*.exe" % control.architecture))[0]
    app_path = makepath(app_dir, bin_name)

    for old_json in glob.glob(makepath(app_dir, "*.json")):
        remove_file(old_json)

    # Checking
    run('"%s" -quiet -output "%s" -json' % (app_path, app_dir))
    if not isfile(glob.glob(makepath(app_dir, "*.json"))[0]):
        print("WARNING: The scan do not return a result !")
        return "WARNING"

    json_scan = json_load_file(glob.glob(makepath(app_dir, "*.json"))[0])
    print("Scan result in json format:")
    print(json_scan)

    if json_scan["is_infected"] == "no":
        print("OK: This machine is not infected.")
        return "OK"
    else:
        print("CRITICAL: This machine is infected!")
        return "ERROR"
